// Copyright (c) 1995, 1996 Regents of the University of California.
// All rights reserved.
//
// This software was developed by the Arcadia project
// at the University of California, Irvine.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the University of California, Irvine.  The name of the
// University may not be used to endorse or promote products derived
// from this software without specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

// File: PackageGraphEdit.java
// Classes: PackageGraphEdit
// Original Author: jrobbins@ics.uci.edu
// $Id: PackageGraphEdit.java,v 1.8 1997/01/24 01:44:32 jrobbins Exp $

package uci.graphedit;

import uci.util.*;


/**
  Comment for this class */

public class PackageGraphEdit extends Package {

  public PackageGraphEdit() {
    super("uci.graphedit");

    add("Action");
    add("ActionAdjustGrid");
    add("ActionAlign");
    add("ActionCreateNode");
    add("ActionDelete");
    add("ActionDispose");
    add("ActionGroup");
    add("ActionOpenWindow");
    add("ActionReorder");
    add("ActionSetAttr");
    add("ActionSetMode");
    add("ActionUngroup");
    add("ActionLoad");
    add("ActionSave");
    add("ActionNudge");
    add("ActionRemoveVertex");
    add("ActionShowURL");
//    add("ActionNull");
//    add("ActionSequence");
    add("ActionScroll");
    add("ActionEditNode");
    add("ActionSelectNext");

    add("ActionQuit");
    add("ActiveComponent");
    add("ActiveButton");
    add("ActiveChoice");
    add("ActiveMenu");
    add("ArcPerspective");
    add("DiagramElement");
    add("Editor");
    add("EditorMenus");
    add("EditorFrame");
    add("Fig");
    add("FigCircle");
    add("FigLine");
    add("FigList");
    add("FigRect");
    add("FigRRect");
    add("FigPoly");
    add("FigInk");
    add("FigText");
    add("ForwardingPanel");
    add("ForwardingFrame");
    add("ForwardingComponent");
    add("Globals");
    add("Layer");
    add("LayerComposite");
    add("LayerDiagram");
    add("LayerGrid");
//    add("LayerPolar");
    add("Mode");
    add("ModeCreate");
    add("ModeCreateArc");
    add("ModeCreateFigCircle");
    add("ModeCreateFigLine");
    add("ModeCreateFigRect");
    add("ModeCreateFigRRect");
    add("ModeCreateFigPoly");
    add("ModeCreateFigInk");
    add("ModeCreateFigText");
    add("ModeModify");
    add("ModePlace");
    add("ModeSelect");
    add("ModeStack");
    add("ModeExampleKeys");
    add("NetPrimitive");
    add("NetArc");
    add("NetList");
    add("NetNode");
    add("NetPort");
    add("Palette");
    add("PaletteAttr");
    add("PaletteCompound");
    add("PaletteDecorator");
    add("PaletteExample");
    add("PaletteFig");
    add("PaletteSticky");
    add("PaletteTop");
    add("Perspective");
    add("Prefs");
    add("PrefsEditor");
    add("RedrawManager");
    add("SampleArc");
    add("SampleNode");
    add("SamplePort");
    add("Selection");
    add("SelectionBox");
    add("SelectionHandles");
    add("SelectionMultiple");
    add("SelectionSingle");
  }

} /* end class PackageGraphEdit */
